libhd15 wrongly claims to Provide libhd14

Bug #299328 reported by Steve Langasek on 2008-11-18
4
Affects Status Importance Assigned to Milestone
hwinfo (Debian)
Fix Released
Unknown
hwinfo (Ubuntu)
High
Chris Coulson

Bug Description

Binary package hint: hwinfo

The libhd15 package that has just been merged into jaunty claims to provide previous versions of libhd:
 Conflicts: libhd12, libhd13, libhd14
 Replaces: libhd12, libhd13, libhd14
 Provides: libhd12, libhd13, libhd14

This is false. The only interface provided by this package is /usr/lib/libhd.so.15. These Conflicts/Provides/Replaces are wrong and should be dropped.

Steve Langasek (vorlon) on 2008-11-18
Changed in hwinfo:
importance: Undecided → High
status: New → Triaged
Steve Langasek (vorlon) wrote :

Chris, as the uploader of the merged version introducing this problem, could you take a look at fixing this?

Changed in hwinfo (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
Changed in hwinfo (Ubuntu):
status: Triaged → In Progress
Chris Coulson (chrisccoulson) wrote :

Closing this one out now, as it appears to be fixed in Karmic with the latest sync

Changed in hwinfo (Ubuntu):
status: In Progress → Fix Released
Changed in hwinfo (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.